Subject: Re-chroming Metal #2

From: [email-masked] (Mike Rembisz)
Date: Sun, 13 Aug 1995 13:10:03 GMT

I'm specifically interested in doing it myself on small parts i.e.
door handles, knobs, etc.  I've seen kits advertised but I don't know
if they are worth the money...  Has anyone out there ever done this??

Mike